CREATE OR REPLACE PROCEDURE sp_fco_cambio_traslados_eps
(
i_compania		char,
i_trabajador		char,
i_EPS_actual		char,
i_EPS_nueva		char,
i_fecha_cambio		date)
AS
BEGIN
    UPDATE fco_traslados_eps
    SET 	
    EPS_actual = i_EPS_actual,
    EPS_nueva   = i_EPS_nueva,
    estado = 2
    WHERE compania = i_compania
    AND trabajador = i_trabajador
    AND fecha_cambio  = i_fecha_cambio;
    
    COMMIT;
	
END;
/
CREATE PUBLIC SYNONYM sp_fco_cambio_traslados_eps FOR ADAM.sp_fco_cambio_traslados_eps;
GRANT EXECUTE ON sp_fco_cambio_traslados_eps TO adama;

